package GameEngine.Core;
import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * Created by IntelliJ IDEA.
 * User: olekrst
 * Date: 12.mar.2007
 * Time: 20:15:06
 * To change this template use File | Settings | File Templates.
 */
public class ConsoleWriter {

    private static final SimpleDateFormat date = new SimpleDateFormat("EEEE HH:mm:ss");
   // private static ConsoleScreen console = new ConsoleScreen("LG: Console");

    public synchronized static void print(String s) {
        //console.println(LG.SERVER_NAME + " [" + date.format(new Date()) + "]: " + s);
        System.out.println(LG.SERVER_NAME + " [" + date.format(new Date()) + "]: " + s);
    }

    public synchronized static void print(String name, String s) {
        System.out.println(name + " [" + date.format(new Date()) + "]: " + s);
    }

    public synchronized static void printErr(String s) {
        //console.printErr(LG.SERVER_NAME + " [" + date.format(new Date()) + "]: " + s);
        System.out.println(LG.SERVER_NAME + " [" + date.format(new Date()) + "]: " + s);
    }

    public synchronized static void printErr(String name, String s) {
        //console.printErr(name + " [" + date.format(new Date()) + "]: " + s);
        System.out.println(name + " [" + date.format(new Date()) + "]: " + s);
    }

    public synchronized  static void debug(String s, int logging) {
        if (LG.LOGGING_LEVEL >= logging) {
            //console.debug(LG.SERVER_NAME + " [" + date.format(new Date()) + "]: " + s);
            System.out.println(LG.SERVER_NAME + " [" + date.format(new Date()) + "]: " + s);
        }
    }

    public synchronized static void debug(String name, String s, int logging) {
        if (LG.LOGGING_LEVEL >= logging) {
            //console.debug(name + " [" + date.format(new Date()) + "]: " + s);
            System.out.println(name + " [" + date.format(new Date()) + "]: " + s);
        }
    }
}
