/**
 *
 * Constants are kept in this class to have them accessible for easy change.
 *
 *
 * Created by IntelliJ IDEA.
 * User: ofsdahl
 * Date: 16.jan.2007
 * Time: 14:17:43
 * To change this template use File | Settings | File Templates.
 */
public abstract class Constants {

    /**
     * Program flow states
     */
    static final int BEGIN_PROGRAM = 0;
    static final int ENTER_NICKNAME = 1;
    static final int ENTER_PASSWORD = 2;
    static final int ENTER_LECTURE_CODE = 3;
    static final int READY_FOR_LOGIN = 4;
    static final int LOGGED_IN = 5;
    static final int QUESTION_POSED = 6;
    static final int USER_NOT_FOUND = 7;
    static final int WAITING_FOR_CONNECTION = 8;
    static final int QUESTION_ANSWERED = 9;
    static final int FAILED_LOGIN = 10;
    static final int DEBUG = 11;

    /**
     * States of the protocol
     */
    static final int PROT_STARTED_STEP1 = 100;
    static final int PROT_STARTED_STEP2 = 101;
    static final int PROT_ENDED_STEP1 = 102;
    static final int PROT_ENDED_STEP2 = 103;

    static final int MAX_NUMBER_OF_FIELDS_IN_MSG = 10;
    static final int SAMPLE_RATE = 1;
    static final int MAX_STRINGS_IN_BUFFER = 10;
    static final int STD_HOLD_SCREEN_MILLISECONDS = 3000;
    static final int SCREEN_OFFSET = 35;

    static final int SCREENSTATE_IDLE = 1;
    static final int SCREENSTATE_QUESTION_POPPER = 2;
    static final int SCREENSTATE_RESULTS = 3;
    static final int SCREENSTATE_ENDGAME = 4;

    //static final String SERVER_ADDRESS = "socket://tulipz.no-ip.org:22";
    //static final String SERVER_ADDRESS = "socket://129.241.102.88:8090";
    //static final String SERVER_ADDRESS = "socket://129.241.130.193:8090";
    static final String SERVER_ADDRESS = "socket://127.0.0.1:8090";
    
    
}
