package GameEngine.Core;
/**
 * Created by IntelliJ IDEA.
 * User: olekrst
 * Date: 16.jan.2007
 * Time: 14:17:43
 * static final class containing constants.
 */
public final class LG {


    // Database configuration
    public static final String MYSQL_ADDRESS = "jdbc:mysql://localhost:3306/test"; //the adress of the MySQL server / database name
    public static final String MYSQL_USERNAME = "lecturegames";
    public static final String MYSQL_PASSWORD = "ntnu";

    // Configuration
    // these are general configuration parameters

    public static final String SERVER_NAME = "LGServer";
    //public static final int SERVER_MOBILE_CLIENT_PORTNUMBER = 22; // used by the studentclients
    public static final int SERVER_MOBILE_CLIENT_PORTNUMBER = 8090; // used by the studentclients
    public static final int SERVER_MASTER_CLIENT_PORTNUMBER = 119; // used by the master (teacher) client
    public static final int SERVER_MAX_CONNECTIONS = 0; //maximum number of connections. 0 = unlimited
    public static final String DEFAULT_QUESTION_TIMELIMIT = "30"; // the default timelimit for displaying questions - used if no specific timelimit is spesified in the question database

    public static final int LOGGING_LEVEL = 4; // Detail level of logging. 0 = off, 1= high pri only, 2= high+med pri, 3= all.
    public static final boolean SERVER_ENABLE_GUI = false; // used to show the GUI. Not stable. default = false
    public static final boolean ENABLE_DEVELOPERMENUES = false;     //menues for pinging clients used by the GUI


    // The different gamemodes. When adding a GameMode, make sure to add a constant here
    public static final int GAMEMODE_BEAT_THE_SCORE = 10;
    public static final int GAMEMODE_LAST_MAN_STANDING = 11;
    // public static final int GAMEMODE_EXAMPLE_GAMEMODE = 12;


    // *** DO NOT DELETE OR CHANGE CONSTANTS UNDER THIS LINE **
    //  (new constants can be added)


    // CONNECTION STATES
    // these are used by the the server to identify different procedures to performe.
    //
    //public static final int STATE_NO_CONNECTIONS 
    public static final int STATE_INIT = 0;
    //public static final int STATE_CONNECTED
    public static final int STATE_PLAYING_ON_ROUND = 1;
    public static final int STATE_PUSH_QUESTION = 2;
    public static final int STATE_WAITING_REPLY = 3;
    public static final int STATE_DISPLAY_ANSWER = 4;
    
    public static final int STATE_END_OF_ROUND = 5;
    public static final int STATE_END_OF_GAME = 6;
    public static final int STATE_NEW_GAME = 7;
    
    public static final int STATE_START_GAME = 8;
    public static final int STATE_EXIT_GAME = 9;
    
    public static final int STATE_PING = 10;

    // error messages
    // returned by the DataBaseConnection class, used to respond to login requests
    public static final int ERROR_LOGIN_OK = 200;
    public static final int ERROR_USER_EXIST_WRONG_PW = 201;
    public static final int ERROR_UNKNOWN_USER = 202;
    public static final int ERROR_USERNAME_ALLREADY_EXISTS = 203;
    //new added
    public static final int ERROR_CREATE_NEW_GAME_OK = 301;
    

    // STATES used by the receive() method in the StudentClient and MasterClient classes.
    public static final int PROT_STARTED_STEP1 = 100;
    public static final int PROT_STARTED_STEP2 = 101;
    public static final int PROT_ENDED_STEP1 = 102;
    public static final int PROT_ENDED_STEP2 = 103;

    // The different states a question can have
    public static final int QUESTIONSTATE_NOT_FINAL = 0;
    public static final int QUESTIONSTATE_FINAL_IN_ROUND = 1;
    public static final int QUESTIONSTATE_FINAL_IN_LECTURE = 2;
    
    // Timer cotrolling
    public static final int DELAY_AFTER_SENDING_QUESTION = 1500; // milliseconds
    public static final int DURATION__DISPLAY_QUES_RESULT = 10000; // make sure it long enought > 2000~ 20 (net work delay) + UI_DELAY_WINKING * UI_NUMBER_WINKING (constant in master client class)
    public static final int DURATION__DISPLAY_ROUND_RESULT = 10000;
}