package Masterclient.core;


/**
 * 
 * Logical representaiton of a student/repondent.
 * 
 * @author Terje
 *
 */
public class Respondent implements Comparable<Respondent> {

	private String name;
	private int points;
	
	public Respondent(String name, int points){
		this.name = name;
		this.points = points;
	}

	public String getName() {
		return name;
	}

	public int getPoints() {
		return points;
	}

	public int compareTo(Respondent anotherRespondent) {
		if(!(anotherRespondent==null)){
		int anotherRespondentScore = anotherRespondent.getPoints();  
	    return -(this.points - anotherRespondentScore);
		} else 
			return -(this.points);
	}
	
}