package GameEngine.Core;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
public class GameList {

	/** 
	 * @uml.property name="gameList"
	 */
	public ArrayList<Game> gameList =new ArrayList<Game>();
	private int currentID =0;
				
		/** 
		 * Call the construct of Game class to create a new game and then add that new game to gameList. This construct have one parameter of Socket type.
		 * This function alo launch the game thread. The game will run until master client send stop message.  
		 * The MasterListener thread (create by the GE) will call to this funtion when there is a master connect.
		 * @throws IOException 
		 */
		public synchronized int addGame(Socket socket) throws IOException{
		
				//Call the construtor to create a new game
				// the constructor also responsible to create a thread receiving message from master client
				Game game = new Game(socket, currentID);				
				// Add game to the list
				gameList.add(game);
				// Start the game thread to manage the game.
				Thread gameThread = new Thread(game);
				gameThread.start();
				return currentID ++;
			}

	/**
	 */
	public synchronized void removeGame(Game game){

	}

}
