import java.util.TimerTask;

/**
 *
 * Timer class to wake appropriate Thread when the program does not
 * strictly keep to the producer consumer paradigm.
 *
 *
 * Created by IntelliJ IDEA.
 * User: ofsdahl
 * Date: 26.jan.2007
 * Time: 12:11:51
 * To change this template use File | Settings | File Templates.
 */
public class ScheduledTask extends TimerTask {

    MessagesExchangeThread client;
    LeGaMidlet lega;

    /**
     * Initialize member references
     *
     * @param client
     */
    public ScheduledTask(MessagesExchangeThread client){
        this.client = client;
    }

        /**
     * Initialize member references
     *
     * @param lega
     */
     public ScheduledTask(LeGaMidlet lega){
        this.lega = lega;
    }

    /**
     * runs after a given timelapse as a TimerTask Thread. simply wakes the appropriate thread, or
     * invokes the timesUp method according to where it is called from.
     *
     */
    public void run() {
        if(!(client==null)){
        client.wakeMe();
        }
        if(!(lega==null)){
            lega.timesUp();
         }
        this.cancel();
    }
}
